Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: [Help Fast] pthread library is required to build Anope  (Read 6950 times)

0 Members and 1 Guest are viewing this topic.

Wade

  • Anope User
  • Offline Offline
  • Posts: 13
[Help Fast] pthread library is required to build Anope
« on: September 25, 2014, 05:44:15 AM »

This error i get after the configuration, there were alot of errors coming one by one but i fixed those and this is a weird one i couldn't fix it

Quote
Saving configuration results in config.cache... done.
cmake  -DINSTDIR:STRING=/root/ygman3x/Unreal3.2.10.4/services  -DDEFUMASK:STRING=077 -DCMAKE_BUILD_TYPE:STRING=RELEASE -DUSE_RUN_CC_PL:BOOLEAN=OFF -DUSE_PCH:BOOLEAN=OFF    ..
CMake Error at CMakeLists.txt:321 (message):
  The pthread library is required to build Anope


-- Configuring incomplete, errors occurred!

It says pthread library is required to build Anope, how could i fix this?
Logged

Adam

  • Team
  • *
  • Offline Offline
  • Posts: 463
Re: [Help Fast] pthread library is required to build Anope
« Reply #1 on: September 25, 2014, 05:46:22 AM »

What OS is this?
Logged

Wade

  • Anope User
  • Offline Offline
  • Posts: 13
Re: [Help Fast] pthread library is required to build Anope
« Reply #2 on: September 25, 2014, 07:06:40 AM »

What OS is this?

Ubuntu 12.04 LTS (GNU/Linux 2.6.32-042stab090.2 x86_64)
Logged

Adam

  • Team
  • *
  • Offline Offline
  • Posts: 463
Re: [Help Fast] pthread library is required to build Anope
« Reply #3 on: September 25, 2014, 07:09:46 AM »

Maybe install libpthread-stubs0-dev.
Logged

Wade

  • Anope User
  • Offline Offline
  • Posts: 13
Re: [Help Fast] pthread library is required to build Anope
« Reply #4 on: September 25, 2014, 07:16:28 AM »

Maybe install libpthread-stubs0-dev.

I did but still says the same.
Logged

Adam

  • Team
  • *
  • Offline Offline
  • Posts: 463
Re: [Help Fast] pthread library is required to build Anope
« Reply #5 on: September 25, 2014, 07:18:48 AM »

Also build-essential if you don't have that.
Logged

Wade

  • Anope User
  • Offline Offline
  • Posts: 13
Re: [Help Fast] pthread library is required to build Anope
« Reply #6 on: September 25, 2014, 07:20:25 AM »

Also build-essential if you don't have that.

I did that too but still its pissing me off, i've been doing this process for hours. ;/
It'd be great if you could help me
Logged

Adam

  • Team
  • *
  • Offline Offline
  • Posts: 463
Re: [Help Fast] pthread library is required to build Anope
« Reply #7 on: September 25, 2014, 07:21:38 AM »

I don't know your system looks broken. Maybe come on IRC and I can look at it?
Logged

Wade

  • Anope User
  • Offline Offline
  • Posts: 13
Re: [Help Fast] pthread library is required to build Anope
« Reply #8 on: September 25, 2014, 07:22:06 AM »

I don't know your system looks broken. Maybe come on IRC and I can look at it?

Yeah sure, what IRC?
Logged

Adam

  • Team
  • *
  • Offline Offline
  • Posts: 463
Re: [Help Fast] pthread library is required to build Anope
« Reply #9 on: September 25, 2014, 07:23:25 AM »

irc.anope.org #anope ...
Logged

Wade

  • Anope User
  • Offline Offline
  • Posts: 13
Re: [Help Fast] pthread library is required to build Anope
« Reply #10 on: September 25, 2014, 07:26:57 AM »

irc.anope.org #anope ...

I'm there :)
Logged

lovenix

  • Anope User
  • Offline Offline
  • Posts: 2
Re: [Help Fast] pthread library is required to build Anope
« Reply #11 on: September 25, 2014, 11:06:49 AM »

install cmake
Logged
Pages: [1]   Go Up